﻿INSERT INTO [Contacts]
    ( [ContactCategory]
    , [String1]
    , [String2]
    , [String3]
    , [Number1]
    , [Number2]
    , [Number3]
    )
VALUES
    ( @ContactCategory
    , @String1
    , @String2
    , @String3
    , @Number1
    , @Number2
    , @Number3
    );
GO

UPDATE [Contacts]
SET
    [SourceID] = CAST(@@IDENTITY AS nvarchar(50))
WHERE
    ID = @@IDENTITY;
GO
    
INSERT INTO [ContactNames]
    ( [ID]
    , [FirstName]
    , [LastName]
    )
VALUES
    ( @@IDENTITY
    , @FirstName
    , @LastName
    );
GO

INSERT INTO [ContactEmail]
    ( [ID]
    , [Email]
    )
VALUES
    ( @@IDENTITY
    , @Email
    );
GO

INSERT INTO [ContactMobile]
    ( [ID]
    , [Mobile]
    )
VALUES
    ( @@IDENTITY
    , @Mobile
    );
GO

INSERT INTO [ContactPhone]
    ( [ID]
    , [Phone]
    )
VALUES
    ( @@IDENTITY
    , @Phone
    );
GO
    
INSERT INTO [ContactCompany]
    ( [ID]
    , [Company]
    )
VALUES
    ( @@IDENTITY
    , @Company
    );
GO

INSERT INTO [ContactJobTitle]
    ( [ID]
    , [JobTitle]
    )
VALUES
    ( @@IDENTITY
    , @JobTitle
    );
GO

INSERT INTO [ContactCountry]
    ( [ID]
    , [Country]
    )
VALUES
    ( @@IDENTITY
    , @Country
    );
GO
    
INSERT INTO [ContactWebsite]
    ( [ID]
    , [Website]
    )
VALUES
    ( @@IDENTITY
    , @Website
    );
GO
    